# Payment

<details>

<summary><a href="https://api.minical.io/v2/booking/get_booking_payments">https://api.minical.io/v2/booking/get_booking_payments</a>                                                        <strong>Get Booking Payments</strong></summary>

This endpoint allows you to get payments of a booking.

**Parameter**

**Header**

X-API-KEY                            string         API key&#x20;

**Body**

company\_id                         integer       PMS Property ID

booking\_id                           integer       PMS Booking ID&#x20;

</details>

**Responses**

<details>

<summary><strong>200</strong>                                                                  Payments successfully retrieved.</summary>

```html
[
    {
        "payment_id": "37",
        "description": "",
        "date_time": "2020-07-06 11:53:31",
        "booking_id": "454",
        "amount": "150.00",
        "payment_type_id": "8490071469",
        "credit_card_id": "1016622",
        "selling_date": "2020-06-25",
        "is_deleted": "0",
        "user_id": "88",
        "customer_id": "8490850999",
        "payment_gateway_used": "MonerisGateway",
        "gateway_charge_id": "8-1_15;454",
        "read_only": "0",
        "payment_status": "charge",
        "parent_charge_id": null,
        "is_captured": "1",
        "logs": null
    },
    {
        "payment_id": "38",
        "description": "",
        "date_time": "2020-07-06 12:48:10",
        "booking_id": "454",
        "amount": "112.00",
        "payment_type_id": "8490071469",
        "credit_card_id": "1016622",
        "selling_date": "2020-06-25",
        "is_deleted": "0",
        "user_id": "88",
        "customer_id": "8490850999",
        "payment_gateway_used": "MonerisGateway",
        "gateway_charge_id": "14-1_15;454_1179703956",
        "read_only": "0",
        "payment_status": "charge",
        "parent_charge_id": null,
        "is_captured": "1",
        "logs": null
    }
]
```

</details>

<details>

<summary><strong>404</strong>  Could not find to matching this query.</summary>

```
{
    "status": false,
    "error": "Unknown method."
}
```

</details>

#### Request Body

```
{
   "company_id": "8490006340",
   "booking_id": "454"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.minical.io/minical-api/payment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
